#!/usr/bin/perl -w
#改行コードを Unix から Mac に変換します．

use strict;
use warnings;

my $job = '';
my $line = '';
my @files = ();

#Unix ディレクトリの内容をリストアップ
opendir (DIR,"Unix") || die "cannot open :$!\n";
@files = readdir(DIR);
close(DIR);

foreach my $fname (@files) {
  if ($fname =~ /^EN/) {
    
    #Unix 内部にある EN で始まるファイルを開く
    open (FILES,"Unix/$fname");

    # 1 行ごとに Unix の改行コードを Mac に変換
    while(my $line = <FILES>) {
      $line =~ s/\n/\r/g;

      #　Mac ディレクトリに同じ名前のファイルを作成し，返還後の行を書き込む
      open (OUTFILE,">>Mac/$fname");
      print OUTFILE "$line";
      close OUTFILE;
    }
      close FILES;     
  }
}

exit;
